aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-support/fftw/fftw/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-support/fftw/fftw/run-ptest')
-rw-r--r--meta-oe/recipes-support/fftw/fftw/run-ptest27
1 files changed, 27 insertions, 0 deletions
diff --git a/meta-oe/recipes-support/fftw/fftw/run-ptest b/meta-oe/recipes-support/fftw/fftw/run-ptest
new file mode 100644
index 0000000000..4d19057975
--- /dev/null
+++ b/meta-oe/recipes-support/fftw/fftw/run-ptest
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+cd fftw
+/usr/bin/perl -w ./check.pl -r -c=30 -v `pwd`/bench
+fftw_result=$?
+cd ../fftwf
+/usr/bin/perl -w ./check.pl -r -c=30 -v `pwd`/benchf
+fftwf_result=$?
+cd ../fftwl
+/usr/bin/perl -w ./check.pl -r -c=30 -v `pwd`/benchl
+fftwl_result=$?
+
+if [ $fftw_result = "0" ]; then
+ echo "PASS: fftw"
+else
+ echo "FAIL: fftw"
+fi
+if [ $fftwf_result = "0" ]; then
+ echo "PASS: fftwf"
+else
+ echo "FAIL: fftwf"
+fi
+if [ $fftwl_result = "0" ]; then
+ echo "PASS: fftwl"
+else
+ echo "FAIL: fftwl"
+fi